deletes udev packaged 75-persistent-net-generator.rules

Bug #1188753 reported by Scott Moser on 2013-06-07
14
This bug affects 1 person
Affects Status Importance Assigned to Milestone
walinuxagent (Ubuntu)
Undecided
Ben Howard
Nominated for Quantal by Ben Howard
Nominated for Raring by Ben Howard
Declined for Trusty by Scott Moser
Declined for Utopic by Scott Moser
Precise
Medium
Unassigned
Saucy
Undecided
Ben Howard

Bug Description

[Impact]: WALinuxAgent deletes/moves files from udev

[Regression]: The regression potential is low. This fix simply checks to see if the agent is running on Windows Azure, if so, it skips moving udev files.

[Test Case]: Make sure that the following is NOT present in /var/log/waagent
2013/06/01 07:24:13 WARNING:Moved /lib/udev/rules.d/75-persistent-net-generator.rules -> /var/lib/waagent/75-persistent-net-generator.rules
2013/06/01 07:24:13 WARNING:Moved /etc/udev/rules.d/70-persistent-net.rules -> /var/lib/waagent/70-persistent-net.rules

Also, make sure that /etc/udev/rules.d/70-persistent-net.rule and /lib/udev/rules.d/75-persistent-net-generator.rules are there.

[Originial Report]:

Looking at /var/log/waagent.log:

2013/06/01 07:24:13 WARNING:Moved /lib/udev/rules.d/75-persistent-net-generator.rules -> /var/lib/waagent/75-persistent-net-generator.rules
2013/06/01 07:24:13 WARNING:Moved /etc/udev/rules.d/70-persistent-net.rules -> /var/lib/waagent/70-persistent-net.rules

A package'd file should not be deleted by another package.

The proper way to handle this is probably as seen in bug 719418.

We can ignore the MS mac address range from persistent net naming.

ProblemType: Bug
DistroRelease: Ubuntu 13.04
Package: walinuxagent 1.3.2-0ubuntu1
ProcVersionSignature: Ubuntu 3.8.0-23.34-generic 3.8.11
Uname: Linux 3.8.0-23-generic x86_64
ApportVersion: 2.9.2-0ubuntu8
Architecture: amd64
Date: Fri Jun 7 18:23:45 2013
MarkForUpload: True
ProcEnviron:
 TERM=screen
 PATH=(custom, no user)
 LANG=en_US.UTF-8
 SHELL=/bin/bash
SourcePackage: walinuxagent
UpgradeStatus: No upgrade log present (probably fresh install)

Related branches

Scott Moser (smoser) wrote :
Ben Howard (darkmuggle) on 2013-06-07
Changed in walinuxagent (Ubuntu):
assignee: nobody → Ben Howard (utlemming)
Ben Howard (darkmuggle) wrote :

Stephen,

Can you get us the authorative MAC prefixes for Azure? If we have one, we can simply add a udev rule that disables this. As it stands right now, the walinuxagent package violates packaging standards, so this needs to be fixed.

Changed in walinuxagent (Ubuntu):
status: New → Confirmed
Stephen A. Zarkos (stevez) wrote :

Hi Ben,

The MAC prefix for Hyper-V/Azure is "00:15:5D" (see also http://standards.ieee.org/develop/regauth/oui/oui.txt)

Thanks,
Steve

Ben Howard (darkmuggle) wrote :

From 12.04 and later, udev current ignores the Hyper-V/Azure interfaces as part of ignoring virtual interface.

From the code:
# ignore KVM virtual interfaces
ENV{MATCHADDR}=="52:54:00:*", GOTO="persistent_net_generator_end"
# ignore VMWare virtual interfaces
ENV{MATCHADDR}=="00:0c:29:*|00:50:56:*", GOTO="persistent_net_generator_end"
# ignore Hyper-V virtual interfaces
ENV{MATCHADDR}=="00:15:5d:*", GOTO="persistent_net_generator_end"
# ignore Eucalyptus virtual interfaces
ENV{MATCHADDR}=="d0:0d:*", GOTO="persistent_net_generator_end"
# ignore Ravello Systems virtual interfaces

This means that we need to SRU a fix that disables removal of the UDEV rules.

Ben Howard (darkmuggle) wrote :

Proposed MP for Saucy. Pending acceptance.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package walinuxagent - 1.3.2-0ubuntu2

---------------
walinuxagent (1.3.2-0ubuntu2) saucy; urgency=low

  * Added logic to prevent udev rules.d movement (LP: #1188753)
 -- Ben Howard <email address hidden> Tue, 11 Jun 2013 14:09:58 -0600

Changed in walinuxagent (Ubuntu):
status: Confirmed → Fix Released
Scott Moser (smoser) on 2013-07-17
Changed in walinuxagent (Ubuntu Precise):
status: New → Confirmed
importance: Undecided → Medium
Ben Howard (darkmuggle) on 2013-08-07
description: updated

Hello Scott, or anyone else affected,

Accepted walinuxagent into precise-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/walinuxagent/1.3.2-0ubuntu4~12.04.2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in walinuxagent (Ubuntu Precise):
status: Confirmed → Fix Committed
Adam Conrad (adconrad) wrote :

Hello Scott, or anyone else affected,

Accepted walinuxagent into precise-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/walinuxagent/1.3.2-0ubuntu4~12.04.3 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Adam Conrad (adconrad) wrote :

Hello Scott, or anyone else affected,

Accepted walinuxagent into precise-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/walinuxagent/1.3.2-0ubuntu4~12.04.4 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Ben Howard (darkmuggle) wrote :

Launched new instance built from -proposed. Issue is fixed. Marking verification-done.

tags: added: verification-done
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package walinuxagent - 1.3.2-0ubuntu4~12.04.4

---------------
walinuxagent (1.3.2-0ubuntu4~12.04.4) precise; urgency=low

  * Update versioned cloud-init dependency for the precise version.

walinuxagent (1.3.2-0ubuntu4~12.04.3) precise; urgency=low

  * Backport of 13.10 WALinuxAgent to support Cloud-init provisioning,
    and various bug fixes.
    * debian/patches/shadow_permissions.patch: apply the appropriate
      permissions to /etc/shadow (LP: #1188820).
    * debian/patches/verbose_logging.patch: use the appropriate log
      faculty when using verbose logging (LP: #1193404).
    * Mark bugs fixed in 1.3.2-0ubuntu3:
      debian/patches/config_for_cloud-init.patch:
      - fix for race condition between cloud-init and waagent (LP: #1195524)
      - mount resource disk on /mnt (LP: #1193380)
      - move walinuxagent init functionality to cloud-init (LP: #1037723)
    * debian/patches/config_for_cloud-init.patch:
      Modified configuration to disable provisioning functions.
      walinuxagent for Ubuntu should now be used with Cloud-init.
    * debian/postinst: Don't overwrite existing /etc/waagent.conf agent
      configuration on install or upgrade.
    * debian/upstart: start later in boot, avoiding race conditions
      with cloud-init.
    * Added logic to prevent udev rules.d movement (LP: #1188753)
 -- Adam Conrad <email address hidden> Thu, 15 Aug 2013 21:31:01 -0600

Changed in walinuxagent (Ubuntu Precise):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers